Home | All Classes | Grouped Classes | Index | Search

# CL_GlyphBuffer::get_height

Returns the height of the entire buffer, or a sub-Range.

    	int get_height(
    		bool ignore_invis = true);

    	int get_height(
    		int idx, bool ignore_invis = true);

    	int get_height(
    		Range range, bool ignore_invis = true);

Parameters:

range
  A subsection of the glyphs vector to get the height of.
idx
  The vector index of a single glyph to get the height of.
ignore_invis
  If true, ignores invisible glyphs (glyphs without an actual visual glyph in the font)

Return value:

The height in pixels.

See also:

CL_GlyphBuffer

Questions or comments, write to the ClanLib mailing list.